EndpointsLeagues
Get campaign board
GET
/v2/leagues/{league_id}/campaignReturn the current campaign board, retained history, and caller-visible player state.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
league_id*League Id
League whose campaign board should be returned.
Match
^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$curl -X GET "https://example.com/v2/leagues/string/campaign"{ "league_id": "string", "enabled": true, "config": {}, "players": [ {} ], "viewer_player_ids": [ "string" ], "map_refs": [ "string" ], "modes": [ "string" ], "map_seeds": [ 0 ], "map_sizes": [ "string" ], "champions": [ 0 ], "agents": [ 0 ], "blob_ids": [ 0 ], "preview_urls": [ "string" ], "round": 0, "frames": [ {} ], "events": [ {} ], "pending_round": {}, "color_prefs": { "property1": 0, "property2": 0 }, "perks": { "property1": [ "string" ], "property2": [ "string" ] }}